> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cuddles.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh a token

> Re-issue the access token from refresh token



## OpenAPI

````yaml POST /accounts/oauth/token/refresh
openapi: 3.0.1
info:
  title: Cuddles API v1
  description: Cuddles v1 stable
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.cuddles.care/v1
security: []
paths:
  /accounts/oauth/token/refresh:
    post:
      description: Re-issue the access token from refresh token
      parameters:
        - name: x-realm
          in: header
          description: Authentication scheme
          required: true
          schema:
            type: string
            default: Token-Authentication
          example: Token-Authentication
      responses:
        '200':
          description: 200 OK - Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Token'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Token:
      type: object
      example:
        access_token: <your access token>
        refresh_token: <your refresh token>
        id_token: <your id token>
        scope: openid profile email offline_access
        expires_in: 86400
        token_type: Bearer
    Error:
      required:
        - status
        - message
      type: object
      properties:
        status:
          type: integer
          example: 400
        message:
          type: string
        code:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.